import request from '@/utils/request'  
//--------------- 内返问题分类(生产厂) 控制器 
 
// 新增
export function add(data) {
  return request({
    url: '/questionFactory/add',
    method: 'PUT',
    data
  })
}
 
// 详情
export function detail(params) {
  return request({
    url: '/questionFactory/detail',
    method: 'GET',
    params
  })
} 
 
// 修改
export function edit(data) {
  return request({
    url: '/questionFactory/edit',
    method: 'PUT',
    data
  })
}
 
// 内返问题分类-新增或编辑下拉数据
export function getSelectDatas(params) {
  return request({
    url: '/questionFactory/getSelectDatas',
    method: 'GET',
    params
  })
}  
 
// 内返问题分类-分页列表
export function list(params) {
  return request({
    url: '/questionFactory/list',
    method: 'GET',
    params
  })
}  

// /questionFactory/{questionFactoryIds}
// 删除
export function deleteFactoryIds(id) {
  return request({ 
    url: `/questionFactory/${id}`, 
    method: 'DELETE', 
  })
} 